Loading...
Searching...
No Matches
Qore::Reflection::PseudoClass Class Reference

This class provides information about Qore pseudo classes. More...

`#include <QC_PseudoClass.dox.h>`

Inheritance diagram for Qore::Reflection::PseudoClass:

## Public Member Functions

| constructor (auto val)
| Creates a PseudoClass object for the given value's type. More...
| constructor (Type type)
| Creates a PseudoClass object for the given type. More...
Public Member Functions inherited from Qore::Reflection::AbstractClass
| constructor ()
| Throws an exception if called directly; this class can only be instantiated by builtin subclasses. More...
int | getDomain ()
| returns the functional domain of the class (for builtin classes only) as a bitfield of Functional Domain Constants More...
list< string > | getDomainStringList ()
| returns a list of functional domain strings for the class (for builtin classes only); an empty list is returned for user classes More...
binary | getHash ()
| returns a unique binary hash for the class More...
int | getId ()
| returns the internal ID of the class which is only valid for the current execution session More...
string | getLanguage ()
| returns the class's programming language More...
AbstractMethod | getMethod (string name)
| returns the given method or throws an exception if the method does not exist in the local class More...
list< AbstractMethod > | getMethods ()
| returns a list of all class methods including special and static methods More...
list< string > | getModifierList ()
| returns a list of strings of modifiers describing the class More...
int | getModifiers ()
| returns a bitfield of modifiers describing the class More...
string | getName ()
| returns the class's name More...
list< hash< ClassAccessInfo > > | getParentClasses ()
| Returns a list of immediate parent classes and access information; if the Class has no parent classes, then an empty list is returned. More...
AbstractMethodVariant | getVariant (string name,...)
| returns the given method variant, otherwise throws an exception if no method variant can be matched More...
AbstractMethodVariant | getVariantArgs (string name, *softlist< Type > argv)
| returns the given method variant, otherwise throws an exception if no method variant can be matched More...
list< AbstractMethodVariant > | getVariants ()
| returns a list of all class method variants including variants for special and static methods More...
bool | hasMemberGate ()
| returns True if the class implements a "memberGate" method More...
bool | hasMemberNotification ()
| returns True if the class implements a "memberNotification" method More...
bool | hasMethodGate ()
| returns True if the class implements a "methodGate" method More...
bool | isAbstract ()
| returns True if the class has at least one abstract method More...
bool | isBuiltin ()
| returns True if the class is a builtin class More...
bool | isEqual (AbstractClass cls)
| Returns True if the Class object passed as an argument is equal to the current object; False if not. More...
bool | isInjected ()
| returns True if the class was injected as a dependency injection More...
bool | isModulePublic ()
| returns True if the class has the module public flag set More...
bool | isPseudoClass ()
| returns True if the class is a pseudo-class More...
bool | isUser ()
| returns True if the class is a user class More...

## Static Public Member Functions

static PseudoClass | forType (Type type)
| Returns a PseudoClass object for the given type. More...
static PseudoClass | forValue (auto val)
| Returns a PseudoClass object for the given value's type. More...

## Detailed Description

This class provides information about Qore pseudo classes.

Restrictions:
  Qore::PO_NO_REFLECTION

Pseudo classes have pseudo methods and variants that operate on normal Qore values.

AbstractClass methods behave as follows:

- AbstractClass::getMethod(): returns PseudoMethod objects
- AbstractClass::getMethods(): returns a list of PseudoMethod objects
- AbstractClass::getVariant() and AbstractClass::getVariantArgs(): return PseudoMethodVariant objects
- AbstractClass::getVariant(): returns a list of PseudoMethodVariant objects
- AbstractClass::getParentClasses(): returns a list of PseudoClass objects

See also
  - PseudoMethod
  - PseudoMethodVariant

Since
  Qore 0.9

## Member Function Documentation

## constructor() [1/2]

Qore::Reflection::PseudoClass::constructor | ( | auto | val | ) |

Creates a PseudoClass object for the given value's type.

Example:
  PseudoClass cls(val);

Parameters

  val | the value for the pseudo-class

See also
  forValue()

## constructor() [2/2]

Qore::Reflection::PseudoClass::constructor | ( | Type | type | ) |

Creates a PseudoClass object for the given type.

Example:
  PseudoClass cls(type);

Parameters

  type | the type to return the pseudo-class for

See also
  forType()

## forType()

static PseudoClass Qore::Reflection::PseudoClass::forType | ( | Type | type | ) |

static

Returns a PseudoClass object for the given type.

Code Flags:
  CONSTANT

Example:
  PseudoClass cls = PseudoClass::forType(type);

Parameters

  type | the type to return the pseudo-class for

Returns
  a PseudoClass object representing the pseudo-class for the given type; if no exact match can be found, a PseudoClass object for <value> is returned

## forValue()

static PseudoClass Qore::Reflection::PseudoClass::forValue | ( | auto | val | ) |

static

Returns a PseudoClass object for the given value's type.

Code Flags:
  CONSTANT

Example:
  PseudoClass cls = PseudoClass::forValue(val);

Parameters

  val | the value to return the pseudo-class for

Returns
  a PseudoClass object representing the pseudo-class for the given value's type; if no exact match can be found, a PseudoClass object for <value> is returned

The documentation for this class was generated from the following file:

- modules/reflection/src/QC_PseudoClass.dox.h